## yate 2.2.0-1~dfsg

=== debian/changelog ===
yate (2.2.0-1~dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on python2.5 with python. Closes: #596317.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 11:36:35 +0200

yate (2.2.0-1~dfsg-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release. lib name is now libyate2.2.0 .
  * Add myself as uploader.
  * Remove debian/tmp/ from install pathes. We use debhelper 7 now. 
  * YATE2 does not use libpri anymore.
  * No need to depend on dpatch (we'll switch to quilt if we have patches). 
  * Remove explicit dependency on libyate (detected automatically).
  * Remove old conflicts. 1.3.0 is already in current Stable.
  * Rename yete-gtk2 to yate-qt4 (which is what it is). 
  * Split out yate-core (most modules) and yate-scripts (mostly PHP) from
    yate (Ioana Stanciu).
  * Also separate out yate-dahdi (Ioana Stanciu).
  * Which also requires running autoconf, and depending on autoconf.
  * Switch to format v3.
  * yate.init: behave more sensibly in case of an error. 

  [ Mark Purcell ]
  * Additional necessary Conflicts:/ Replaces:

 -- Mark Purcell <msp@debian.org>  Sun, 21 Mar 2010 20:03:43 +1100

yate (2.1.0-1~dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #499586)
  * NEW package libyate2.1.0 - soname bump
    - fixes package-name-doesnt-match-sonames

  [ Kilian Krause ]
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Tzafrir Cohen ]
  * Remove -N from wget command in get-orig-source (conflicts with -O).
  * Update ilbc stripping in get-orig-source.
  * No more - in the version.
  * The GUI is now qt4 and not gtk2.
  * Location of modules files changed.
  * There are some extra libraries for the library package.
  * s/zaptel/dahdi/ (Closes: #559481).

  [ Patrick Matthäi ]
  * Add missing copyright notice.
  * Fix spelling error in control file (s/postgresql/PostgreSQL/).
    Thanks lintian.

  [ Mark Purcell ]
  * Update to Standards 3.8.4
   - Add ${misc:Depends} fixes debhelper-but-no-misc-depends
   - fixes package-uses-deprecated-debhelper-compat-version -> 7
   - Fix libopenh323-dev build-depends-on-1-revision
   - patch-system-but-no-source-readme - added debian/README.source
   - copyright-refers-to-versionless-license-file - changed to GPL-2
  * Depends: php5-cli fixes php-script-but-no-phpX-cli-dep
  * dh-clean-k-is-deprecated - removed
  * init.d Required-Start:    $remote_fs
    - fixes init.d-script-missing-dependency-on-remote_fs
  * Cleanout unused debian/patches/

 -- Mark Purcell <msp@debian.org>  Thu, 18 Feb 2010 20:08:21 +1100

yate (1.3.0-1.dfsg-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * New upstream release
  * New modules: park.yate, queues.yate and sipfeatures.yate
  * New config file: sipfeatures.conf

 -- Kilian Krause <kilian@debian.org>  Mon, 03 Sep 2007 21:17:59 +0200

yate (1.2.0-1.dfsg-3) unstable; urgency=medium

  [ Mikael Magnusson ]
  * Add missing scripts: leavemail.php, route.php and voicemail.php
  * Add missing default config file: providers.conf

  [ Kilian Krause ]
  * Use ${binary:Version} for binNMU-safe uploads.
    Add dpkg-dev (>= 1.13.19) to Build-Depends
  * Fix debian-rules-ignores-make-clean-error warning.
  * Fix php-script-but-no-php-cli-dep warning: Add Recommends to package yate
  * Add LSB section to init script.

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Bump urgency to medium since this is a low-risk important bugfix release.
  * Fix XS-Vcs-Svn and XS-Vcs-Browser URIs.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 28 Aug 2007 10:01:01 +0300

yate (1.2.0-1.dfsg-2) unstable; urgency=low

  * Build-Depends on libspeex-dev. (Closes: #422774)

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Fri, 11 May 2007 22:24:06 +0100

yate (1.2.0-1.dfsg-1) unstable; urgency=high

  [ Mikael Magnusson ]
  * New upstream release
  * MD5 patch applied by upstream.
  * osschan patch applied by upstream.
  * yate: Add yjinglechan, ystunchan and speexcodec modules.
  * zaptel.h moved to /usr/include/zaptel (Closes: #419455)

  [ Mark Purcell ]
  * Urgency high as this addresess DoS vulnerability
    - CVE-2007-1693 [Fwd: Radware Security Advisory - Yate 1.1.0 Denial of
    Service Vulnerability] (Closes: #421994)
  * Cleanup debian/patches and add zaptel-headers.dpatch

 -- Mark Purcell <msp@debian.org>  Wed, 02 May 2007 21:06:13 +0100

yate (1.1.0-1.dfsg-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * New upstream release
  * Remove gcc-4.1 patch merged by upstream
  * yate: Add tonedetect module
  * Fix broken MD5 on Big Endian architectures. (Closes: #391454)
  * Bump Standards-Version to 3.7.2. No changes required.
  * osschan: collect and forward complete 20ms frames, fixes problem with
    garbled audio.

  [ Kilian Krause ]
  * Switch from postgresql-dev to libpq-dev for Build-Depends to pull only
    required amount of packages.
  * Fix building arch=all packages in binary-arch target.

 -- Kilian Krause <kilian@debian.org>  Wed,  3 Jan 2007 21:22:14 +0100

yate (1.0.0-1.dfsg-2) unstable; urgency=low

  * Ensure that autoconf isn't run during build.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Mon, 24 Jul 2006 22:10:17 +0200

yate (1.0.0-1.dfsg-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream version (1.0.0-1) (Closes: #377778, #358131)
  * Update build-depends to libpri1.2 and libgtk2.0-dev.
  * Add Mikael Magnusson to Uploaders.

  [ Mikael Magnusson ]
  * Update module and script paths in *.install
  * Remove libortp2-dev build-depends, ortpchan removed by upstream
    (Closes: #362709)
  * Old Gtk-1 and Qt clients removed by upstream
  * PostgreSQL module pgsqldb replaces cdrpgsql and pgsqlroute.
  * Remove yate.8 from yate.install, installed by dh_installman
  * Add new modules: accfile, callgen, conference, moh, pbx, yrtpchan
  * Add config files: accfile.conf, cdrfile.conf, moh.conf,
    yrtpchan.conf, ysipchan.conf
  * Remove build-depends to libiax-dev and libspandsp-dev

