=== debian/control ===
Source: yate
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Mark Purcell <msp@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mikael Magnusson <mikma@users.sourceforge.net>, Faidon Liambotis <paravoid@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Build-Depends: debhelper (>= 7),
 autotools-dev,
 autoconf,
 libopenh323-dev (>= 1.15.6),
 libgsm1-dev,
 dahdi-source,
 libmysqlclient-dev,
 libpq-dev,
 libqt4-dev,
 libasound2-dev,
 libspeex-dev,
 python,
 libspandsp-dev,
 doxygen,
 pkg-config,
 dpkg-dev (>= 1.13.19)
Standards-Version: 3.8.4
Homepage: http://yate.null.ro/
Vcs-Svn: svn://svn.debian.org/pkg-voip/yate/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/yate/?op=log

Package: yate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, yate-core (= ${binary:Version})
Description: Yet Another Telephony Engine (YATE)
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains YATE Server itself.

Package: libyate2.2.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains shared libraries for YATE.

Package: yate-core
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: yate (<= 2.1.0-1~dfsg-1)
Replaces: yate (<= 2.1.0-1~dfsg-1)
Description: YATE core modules
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains the core modules necessary for running YATE.

Package: yate-dev
Architecture: any
Section: libdevel
Conflicts: yate (<= 2.1.0-1~dfsg-1)
Replaces: yate (<= 2.1.0-1~dfsg-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, libyate2.2.0 (= ${binary:Version})
Description: Development files for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains development libraries for YATE.

Package: yate-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package provides documentation for YATE.

# Or maybe a separate -php and -perl packages?
Package: yate-scripts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate (= ${binary:Version}), php5-cli
Conflicts: yate (<= 2.1.0-1~dfsg-1)
Replaces: yate (<= 2.1.0-1~dfsg-1)
Description: PHP scripts for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 These are the php scripts for YATE.

Package: yate-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: PostgreSQL module for yate
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 These are the modules that require PostgreSQL.

Package: yate-openh323
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: OpenH323 module for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the OpenH323 module.

Package: yate-qt4
Conflicts: yate-gtk2
Replaces: yate-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: YATE-based universal telephony client
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 YateClient uses the same telephony code to produce a software desktop VoIP
 (SIP, H.323, IAX2) phone. yate-qt4 uses this to provide such a telephony

Package: yate-alsa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: ALSA module for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the ALSA module for YATE.

Package: yate-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: MySQL support module for yate
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the MySQL support module for YATE.

Package: yate-dahdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: Dahdi support for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the DAHDI support module for YATE.
