=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg// \
 http://yate.null.ro/tarballs/yate2/yate-([\d.-]+)\.tar\.gz
